

/* ==========================================================================
   Author's custom styles
   ========================================================================== */


.ng-valid 		{   }
.ng-invalid 	{   }
.ng-pristine 	{   }
.ng-dirty 		{    }

/* really specific css rules applied by angular */
.ng-invalid-required 		{  }
.ng-invalid-minlength 		{  }
.ng-valid-max-length 		{  }


.nav-pills .has-error {
	border-bottom: 2px solid red;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}

.rating i{
    font-size: 1.5em;
}

.rating .glyphicon-star{
     color:#E4C838;
}


.qm-PENDENTE {
	background-color: #FF9900 !important;
}
.qm-APROVADA {
	background-color: #44AA55 !important;
}
.qm-CANCELADA {
	background-color: #CE534D !important;
}
.qm-REMARCADA {
	background-color: #BFB338 !important;
}
.qm-ATENDIDA {
	background-color: #7F7F7F !important;
}

.calendario-conteudo .calendario-conteudo {
   padding-top: 15px;
}

.calendario-conteudo .calendar {
   color: white;
   padding: 0;
   background: #4A4A4A;
   -webkit-touch-callout: none;
   -webkit-user-select: none;
   -khtml-user-select: none;
   -moz-user-select: none;
   -ms-user-select: none;
   user-select: none;
   -webkit-transform: translate3d(0, 0, 0);
   -moz-transform: translate3d(0, 0, 0);
   transform: translate3d(0, 0, 0);
   margin: 0 auto;
   overflow: hidden;
   max-width: 330px;
   min-width: 300px;
   min-height:300px;
   /* Animations are cool!  */
   /*
    Scroll
*/
   /* 
 * make the content's top changes animate.
 * might not always look good, but looks
 * good when our loader is added & removed
 */
   /* make loading bar slide up/down */
}

   .calendario-conteudo .calendar .header {
      height: 50px;
      background: #424242;
      text-align: center;
      position: relative;
      z-index: 100;
   }

      .calendario-conteudo .calendar .header h1 {
         color: white;
         margin: 0;
         padding: 0;
         font-size: 20px;
         line-height: 50px;
         font-weight: 100;
         letter-spacing: 1px;
      }

   .calendario-conteudo .calendar .left,
   .calendario-conteudo .calendar .right {
      position: absolute;
      top: 0;
      cursor: pointer;
      height: 100%;
      width: 6em;
      padding-top: 1em;
   }

      .calendario-conteudo .calendar .left i,
      .calendario-conteudo .calendar .right i {
         color: transparent #a09fa0;
         color: #a09fa0;
         font-size: 2em;
      }

   .calendario-conteudo .calendar .left {
      left: 0;
   }

   .calendario-conteudo .calendar .right {
      right: 0;
   }

   .calendario-conteudo .calendar .month {
      opacity: 0;
      width: 100%;
   }

   .calendario-conteudo .calendar .ourrow,
   .calendario-conteudo .calendar .events {
      width: 100%;
   }

   .calendario-conteudo .calendar .month.new {
      -webkit-animation: fadeIn 1s ease-out;
      opacity: 1;
   }

   .calendario-conteudo .calendar .month.in.next {
      -webkit-animation: moveFromTopFadeMonth .4s ease-out;
      -moz-animation: moveFromTopFadeMonth .4s ease-out;
      animation: moveFromTopFadeMonth .4s ease-out;
      opacity: 1;
   }

   .calendario-conteudo .calendar .month.out.next {
      -webkit-animation: moveToTopFadeMonth .4s ease-in;
      -moz-animation: moveToTopFadeMonth .4s ease-in;
      animation: moveToTopFadeMonth .4s ease-in;
      opacity: 1;
   }

   .calendario-conteudo .calendar .month.in.prev {
      -webkit-animation: moveFromBottomFadeMonth .4s ease-out;
      -moz-animation: moveFromBottomFadeMonth .4s ease-out;
      animation: moveFromBottomFadeMonth .4s ease-out;
      opacity: 1;
   }

   .calendario-conteudo .calendar .month.out.prev {
      -webkit-animation: moveToBottomFadeMonth .4s ease-in;
      -moz-animation: moveToBottomFadeMonth .4s ease-in;
      animation: moveToBottomFadeMonth .4s ease-in;
      opacity: 1;
   }

   .calendario-conteudo .calendar .week {
      background: #4A4A4A;
   }

   .calendario-conteudo .calendar .week {
      width: 100%;
   }

   .calendario-conteudo .calendar .day {
      display: inline-block;
      text-align: center;
      vertical-align: top;
      cursor: pointer;
      background: #4A4A4A;
      position: relative;
      z-index: 100;
      width: 14%;
   }

   .calendario-conteudo .calendar .day {
      color: rgba(255, 255, 255, 0.95);
   }

      .calendario-conteudo .calendar .day.other {
         color: rgba(255, 255, 255, 0.3);
      }

      .calendario-conteudo .calendar .day.today {
         color: #9ccaeb;
      }

   .calendario-conteudo .calendar .day-name {
      font-size: 9px;
      text-transform: uppercase;
      margin-bottom: 5px;
      color: rgba(255, 255, 255, 0.5);
      letter-spacing: .7px;
   }

   .calendario-conteudo .calendar .day-number {
      font-size: 24px;
      letter-spacing: 1.5px;
   }

   .calendario-conteudo .calendar .day .day-events {
      list-style: none;
      margin-top: 3px;
      text-align: center;
      height: 12px;
      line-height: 6px;
      overflow: hidden;
   }

      .calendario-conteudo .calendar .day .day-events span {
         vertical-align: top;
         display: inline-block;
         padding: 0;
         margin: 0;
         width: 5px;
         height: 5px;
         line-height: 5px;
         margin: 0 1px;
      }

   .calendario-conteudo .calendar .blue {
      background: #9ccaeb;
   }

   .calendario-conteudo .calendar .orange {
      background: #f7a700;
   }

   .calendario-conteudo .calendar .green {
      background: #99c66d;
   }

   .calendario-conteudo .calendar .yellow {
      background: #f9e900;
   }

   .calendario-conteudo .calendar .details {
      position: relative;
      width: 100%;
      background: #a4a4a4;
      margin-top: 5px;
      border-radius: 4px;
   }

      .calendario-conteudo .calendar .details.in {
         -webkit-animation: moveFromTopFade .5s ease both;
         -moz-animation: moveFromTopFade .5s ease both;
         animation: moveFromTopFade .5s ease both;
      }

      .calendario-conteudo .calendar .details.out {
         -webkit-animation: moveToTopFade .5s ease both;
         -moz-animation: moveToTopFade .5s ease both;
         animation: moveToTopFade .5s ease both;
      }

   .calendario-conteudo .calendar .arrow {
      position: absolute;
      top: -5px;
      left: 50%;
      margin-left: -2px;
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 0 5px 5px 5px;
      border-color: transparent transparent #a4a4a4 transparent;
      transition: all 0.7s ease;
   }

   .calendario-conteudo .calendar .events.in {
      -webkit-animation: fadeIn .3s ease both;
      -moz-animation: fadeIn .3s ease both;
      animation: fadeIn .3s ease both;
   }

   .calendario-conteudo .calendar .events.in {
      -webkit-animation-delay: .3s;
      -moz-animation-delay: .3s;
      animation-delay: .3s;
   }

   .calendario-conteudo .calendar .details.out .events {
      -webkit-animation: fadeOutShrink .4s ease both;
      -moz-animation: fadeOutShink .4s ease both;
      animation: fadeOutShink .4s ease both;
   }

   .calendario-conteudo .calendar .events.out {
      -webkit-animation: fadeOut .3s ease both;
      -moz-animation: fadeOut .3s ease both;
      animation: fadeOut .3s ease both;
   }

   .calendario-conteudo .calendar .event {
      font-size: 16px;
      line-height: 22px;
      letter-spacing: .5px;
      padding: 2px 16px;
      vertical-align: top;
   }

      .calendario-conteudo .calendar .event.empty {
         color: #eee;
      }

   .calendario-conteudo .calendar .event-category {
      height: 10px;
      width: 10px;
      display: inline-block;
      margin: 6px 0 0;
      vertical-align: top;
   }

   .calendario-conteudo .calendar .event span {
      display: inline-block;
      padding: 0 0 0 7px;
   }

   .calendario-conteudo .calendar .legend {
      position: absolute;
      bottom: 0;
      width: 100%;
      height: 30px;
      background: #3c3c3c;
      line-height: 30px;
   }

   .calendario-conteudo .calendar .entry {
      position: relative;
      padding: 0 0 0 25px;
      font-size: 13px;
      display: inline-block;
      line-height: 30px;
      background: transparent;
   }

      .calendario-conteudo .calendar .entry:after {
         position: absolute;
         content: '';
         height: 5px;
         width: 5px;
         top: 12px;
         left: 14px;
      }

      .calendario-conteudo .calendar .entry.blue:after {
         background: #9ccaeb;
      }

      .calendario-conteudo .calendar .entry.orange:after {
         background: #f7a700;
      }

      .calendario-conteudo .calendar .entry.green:after {
         background: #99c66d;
      }

      .calendario-conteudo .calendar .entry.yellow:after {
         background: #f9e900;
      }

@-webkit-keyframes moveFromTopFade {
   from {
      opacity: 0.3;
      height: 0;
      margin-top: 0;
      -webkit-transform: translateY(-100%);
   }
}

@-moz-keyframes moveFromTopFade {
   from {
      height: 0;
      margin-top: 0;
      -moz-transform: translateY(-100%);
   }
}

@keyframes moveFromTopFade {
   from {
      height: 0;
      margin-top: 0;
      transform: translateY(-100%);
   }
}

@-webkit-keyframes moveToTopFade {
   to {
      opacity: 0.3;
      height: 0;
      margin-top: 0;
      opacity: 0.3;
      -webkit-transform: translateY(-100%);
   }
}

@-moz-keyframes moveToTopFade {
   to {
      height: 0;
      -moz-transform: translateY(-100%);
   }
}

@keyframes moveToTopFade {
   to {
      height: 0;
      transform: translateY(-100%);
   }
}

@-webkit-keyframes moveToTopFadeMonth {
   to {
      opacity: 0;
      -webkit-transform: translateY(-30%) scale(0.95);
   }
}

@-moz-keyframes moveToTopFadeMonth {
   to {
      opacity: 0;
      -moz-transform: translateY(-30%);
   }
}

@keyframes moveToTopFadeMonth {
   to {
      opacity: 0;
      -moz-transform: translateY(-30%);
   }
}

@-webkit-keyframes moveFromTopFadeMonth {
   from {
      opacity: 0;
      -webkit-transform: translateY(30%) scale(0.95);
   }
}

@-moz-keyframes moveFromTopFadeMonth {
   from {
      opacity: 0;
      -moz-transform: translateY(30%);
   }
}

@keyframes moveFromTopFadeMonth {
   from {
      opacity: 0;
      -moz-transform: translateY(30%);
   }
}

@-webkit-keyframes moveToBottomFadeMonth {
   to {
      opacity: 0;
      -webkit-transform: translateY(30%) scale(0.95);
   }
}

@-moz-keyframes moveToBottomFadeMonth {
   to {
      opacity: 0;
      -webkit-transform: translateY(30%);
   }
}

@keyframes moveToBottomFadeMonth {
   to {
      opacity: 0;
      -webkit-transform: translateY(30%);
   }
}

@-webkit-keyframes moveFromBottomFadeMonth {
   from {
      opacity: 0;
      -webkit-transform: translateY(-30%) scale(0.95);
   }
}

@-moz-keyframes moveFromBottomFadeMonth {
   from {
      opacity: 0;
      -webkit-transform: translateY(-30%);
   }
}

@keyframes moveFromBottomFadeMonth {
   from {
      opacity: 0;
      -webkit-transform: translateY(-30%);
   }
}

@-webkit-keyframes fadeIn {
   from {
      opacity: 0;
   }
}

@-moz-keyframes fadeIn {
   from {
      opacity: 0;
   }
}

@keyframes fadeIn {
   from {
      opacity: 0;
   }
}

@-webkit-keyframes fadeOut {
   to {
      opacity: 0;
   }
}

@-moz-keyframes fadeOut {
   to {
      opacity: 0;
   }
}

@keyframes fadeOut {
   to {
      opacity: 0;
   }
}

@-webkit-keyframes fadeOutShink {
   to {
      opacity: 0;
      padding: 0;
      height: 0;
   }
}

@-moz-keyframes fadeOutShink {
   to {
      opacity: 0;
      padding: 0;
      height: 0;
   }
}

@keyframes fadeOutShink {
   to {
      opacity: 0;
      padding: 0;
      height: 0;
   }
}

.calendario-conteudo .calendar .scroll {
   position: relative;
   width: 100%;
   white-space: nowrap;
   overflow-y: hidden;
   overflow-x: scroll;
   -webkit-overflow-scrolling: touch;
   padding: 10px;
   height: 50px;
}

.calendario-conteudo .calendar .scroll-width {
   position: absolute;
   display: block;
}

.calendario-conteudo .calendar .scroll .btn {
   margin-right: 5px;
   margin-left: 5px;
   display: inline;
}

.calendario-conteudo .calendar .bar.bar-loading {
   display: block;
   height: 24px;
   /* starts right below a normal header */
   top: 44px;
   /* make the text centered vertically and horizontally */
   text-align: center;
   padding: 0;
   line-height: 24px;
   /* transition 'sliding down' (check below)*/
   -webkit-transition: 200ms all;
}

.calendario-conteudo .calendar .has-header {
   -webkit-transition: 200ms top;
}

   .calendario-conteudo .calendar .has-header.has-loading {
      /* 44px (header) + 24px */
      top: 68px;
   }

.calendario-conteudo .calendar .bar-loading.ng-enter,
.calendario-conteudo .calendar .bar-loading.ng-leave.ng-leave-active {
   height: 0;
   border-width: 0;
}

   .calendario-conteudo .calendar .bar-loading.ng-enter.ng-enter-active,
   .calendario-conteudo .calendar .bar-loading.ng-leave {
      height: 24px;
      border-width: 1px;
   }


.schedule-container {
    background-color: #f2f2f2;
    padding: 15px 20px 15px;
    border: 1px solid lightgrey;
    border-radius: 3px;
}

    .schedule-container .schedule-cnt {
        font-size: 40px;
        font-weight: 700;
    }

button:disabled {
    background-color: GrayText !important;
    border-color: GrayText !important;
}

.btn.disabled, .btn[disabled], fieldset[disabled] .btn {
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
}

.chamar-marcacao {
    background-color: #009fd0;
    border-color: #00c7fc;
    color: #fff;
}

.iniciar-atendimento {
    background-color: #5cb85c;
    border-color: #5cb85c;
    color: #fff;
}

.terminar-atendimento {
    background-color: #d11a1a;
    border-color: #d11a1a;
    color: #fff;
}

.fim-timer {
    background-color: #f2f2f2;
    padding: 8px 15px;
    border: 1px solid #d3d3d3;
    border-radius: 3px;
}

    .fim-timer timer span {
        font-size: 18px;
        font-weight: 600;
    }